unit Unit1; 

{$mode objfpc}{$H+}

interface

uses
  Classes, SysUtils, FileUtil, Forms, Controls, Graphics, Dialogs, ExtCtrls,
  StdCtrls;

type

  { TFLicht }

  TFLicht = class(TForm)
    BtAn: TButton;
    BtAus: TButton;
    BtEnde: TButton;
    Image1: TImage;
    LbTz: TLabel;
    LbL: TLabel;
    PnL: TPanel;
    PnTz: TPanel;
    ShpL: TShape;
    procedure BtAnClick(Sender: TObject);
    procedure BtAusClick(Sender: TObject);
    procedure BtEndeClick(Sender: TObject);
    procedure FormCreate(Sender: TObject);
    procedure Image1DblClick(Sender: TObject);
    procedure PnTzMouseDown(Sender: TObject; Button: TMouseButton;
      Shift: TShiftState; X, Y: Integer);
    procedure PnTzMouseUp(Sender: TObject; Button: TMouseButton;
      Shift: TShiftState; X, Y: Integer);
  private
    { private declarations }
  public
    { public declarations }
    isLicht: boolean;
    isTag: boolean;
    isAlarm: boolean;
    procedure refresh;
  end; 

var
  FLicht: TFLicht;

implementation

{$R *.lfm}

{ TFLicht }

procedure TFLicht.refresh;
begin
  if isLicht or isTag then begin
     FLicht.Color:=clYellow;
     Image1.Picture.loadfromfile('Bilder/See_gelb.jpg');
     PnL.Color:=clYellow;
     PnTz.Color:=clYellow;
     PnTz.Font.Color:=clBlack;
     PnL.Font.Color:=clBlack;
     LbL.Font.Color:=clBlack;
     LbTz.Font.Color:=clBlack;
  end
  else if (not isLicht) and (not isTag) then begin
     FLicht.Color:=clNavy;
     Image1.Picture.loadfromfile('Bilder/See_blau.jpg');
     PnL.Color:=clNavy;
     PnTz.Color:=clNavy;
     PnTz.Font.Color:=clCream;
     PnL.Font.Color:=clCream;
     LbL.Font.Color:=clCream;
     LbTz.Font.Color:=clCream;
  end;
  if isLicht then begin
     LbL.Caption:='Licht ist an.';
     ShpL.Brush.Color:=clCream;
  end
  else begin
     LbL.Caption:='Licht ist aus.';
     ShpL.Brush.Color:=clGray;
  end;

  if isTag then LbTz.Caption:='Tag.'
  else LbTz.Caption:='Nacht.';
end;

procedure TFLicht.BtAnClick(Sender: TObject);
begin
  isLicht:=true;
  refresh;
end;

procedure TFLicht.BtAusClick(Sender: TObject);
begin
  islicht:=false;
  refresh;
end;

procedure TFLicht.BtEndeClick(Sender: TObject);
begin
  //FLicht.Destroy;
  close;
end;

procedure TFLicht.FormCreate(Sender: TObject);
begin
  isLicht:=false;
  isTag:=false;
end;

procedure TFLicht.Image1DblClick(Sender: TObject);
begin
  ShpL.Brush.Color:=clRed;
  FLicht.Color:=clYellow;
  LbL.Caption:='ALARM !_!';
  LbTz.Caption:='ALARM !_!';
  Image1.Picture.loadfromfile('Bilder/See_rot.jpg');
  PnL.Color:=clYellow;
  PnTz.Color:=clYellow;
  PnTz.Font.Color:=clBlack;
  PnL.Font.Color:=clBlack;
  LbL.Font.Color:=clBlack;
  LbTz.Font.Color:=clBlack;
  BtAn.Enabled:=false;
  BtAus.Enabled:=false;
  isAlarm:=true;
end;

procedure TFLicht.PnTzMouseDown(Sender: TObject; Button: TMouseButton;
  Shift: TShiftState; X, Y: Integer);
begin
  if not isAlarm then begin
     isTag:=true;
     refresh;
  end;
end;

procedure TFLicht.PnTzMouseUp(Sender: TObject; Button: TMouseButton;
  Shift: TShiftState; X, Y: Integer);
begin
  if not isAlarm then begin
     isTag:=false;
     refresh;
  end;
end;

end.

